[PATCH 2/2] defaultenv/udpate: in xmodem mode load the data before erasing
Jean-Christophe PLAGNIOL-VILLARD
plagnioj at jcrosoft.com
Fri Nov 26 14:58:37 EST 2010
and abort the update if loadb failed or cancelled
Signed-off-by: Jean-Christophe PLAGNIOL-VILLARD <plagnioj at jcrosoft.com>
---
defaultenv/bin/_update | 9 ++++++++-
1 files changed, 8 insertions(+), 1 deletions(-)
diff --git a/defaultenv/bin/_update b/defaultenv/bin/_update
index 87e6922..f736acc 100644
--- a/defaultenv/bin/_update
+++ b/defaultenv/bin/_update
@@ -22,6 +22,14 @@ if [ x$mode = xtftp ]; then
fi
fi
+if [ x$mode = xxmodem ]; then
+ loadb -f $image -c
+ if [ $? -ne 0 ] ; then
+ echo "loadb failed or cancelled! Update aborted."
+ exit 1
+ fi
+fi
+
unprotect $part
echo
@@ -36,7 +44,6 @@ echo
if [ x$mode = xtftp ]; then
tftp $image $part
else
- loadb -f $image -c
cp $image $part
fi
--
1.7.1
More information about the barebox
mailing list